csvsurfacelist.h File Reference

Exports normal surface lists to plain text CSV files. More...

`#include <iostream>`
`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Enumerations

enum

regina::SurfaceExportFields {
regina::surfaceExportName = 0x0001, regina::surfaceExportEuler = 0x0002, regina::surfaceExportOrient = 0x0004, regina::surfaceExportSides = 0x0008,
regina::surfaceExportBdry = 0x0010, regina::surfaceExportLink = 0x0020, regina::surfaceExportType = 0x0040, regina::surfaceExportNone = 0,
regina::surfaceExportAllButName = 0x007e, regina::surfaceExportAll = 0x007f
}

| Indicates a set of additional fields that can be exported as part of a normal surface list. More...

## Functions

REGINA_API bool | regina::writeCSVStandard (const char *filename, NNormalSurfaceList &surfaces, int additionalFields=surfaceExportAll)
| Exports the given list of normal surfaces as a plain text CSV (comma-separated value) file. More...
REGINA_API bool | regina::writeCSVEdgeWeight (const char *filename, NNormalSurfaceList &surfaces, int additionalFields=surfaceExportAll)
| Exports the given list of normal surfaces as a plain text CSV (comma-separated value) file. More...

## Detailed Description

Exports normal surface lists to plain text CSV files.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).